Axis2/C: encoding holder

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# encoding holder
[utilities]

## Files
file | axutil_base64_binary.h
| axis2-util base64 encoding holder

## Typedefs
typedef struct axutil_base64_binary | axutil_base64_binary_t
## Functions
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create (const axutil_env_t *env)
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create_with_plain_binary (const axutil_env_t *env, const unsigned char *plain_binary, int plain_binary_len)
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create_with_encoded_binary (const axutil_env_t *env, const char *encoded_binary)
AXIS2_EXTERN void | axutil_base64_binary_free (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_base64_binary_set_plain_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, const unsigned char *plain_binary, int plain_binary_len)
AXIS2_EXTERN unsigned char * | axutil_base64_binary_get_plain_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, int *plain_binary_len)
AXIS2_EXTERN axis2_status_t | axutil_base64_binary_set_encoded_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, const char *encoded_binary)
AXIS2_EXTERN char * | axutil_base64_binary_get_encoded_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN int | axutil_base64_binary_get_encoded_binary_len (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN int | axutil_base64_binary_get_decoded_binary_len (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)

## Typedef Documentation

typedef struct axutil_base64_binary axutil_base64_binary_t

Type name for struct axutil_base64_binary

## Function Documentation

AXIS2_EXTERN axutil_base64_binary_t* axutil_base64_binary_create | ( | const axutil_env_t * | env | ) |

Creates axutil_base64_binary struct

Parameters:

  | env | double pointer to environment struct. MUST NOT be NULL

Returns:
  pointer to newly created axutil_base64_binary struct

AXIS2_EXTERN axutil_base64_binary_t* axutil_base64_binary_create_with_encoded_binary | ( | const axutil_env_t * | env,
|  | const char * | encoded_binary |
| ) |  |  |

Creates axutil_base64_binary struct.

Parameters:

  | env | double pointer to environment struct. MUST NOT be NULL
  | encoded_binary | binary buffer to initialize

Returns:
  pointer to newly created axutil_base64_binary struct

AXIS2_EXTERN axutil_base64_binary_t* axutil_base64_binary_create_with_plain_binary | ( | const axutil_env_t * | env,
|  | const unsigned char * | plain_binary,
|  | int | plain_binary_len |
| ) |  |  |

Creates axutil_base64_binary struct

Parameters:

  | env | double pointer to environment struct. MUST NOT be NULL
  | plain_binary | binary buffer to initialize

Returns:
  pointer to newly created axutil_base64_binary struct

AXIS2_EXTERN void axutil_base64_binary_free | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env |
| ) |  |  |

free the axutil_base64_binary.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN int axutil_base64_binary_get_decoded_binary_len | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env |
| ) |  |  |

retrieve the value from decoded binary length.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL

Returns:
  the decoded binary length

AXIS2_EXTERN char* axutil_base64_binary_get_encoded_binary | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env |
| ) |  |  |

retrieve the value from encoded binary.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL

Returns:
  the encoded binary

AXIS2_EXTERN int axutil_base64_binary_get_encoded_binary_len | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env |
| ) |  |  |

retrieve the value from encoded binary length.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL

Returns:
  the encoded binary length

AXIS2_EXTERN unsigned char* axutil_base64_binary_get_plain_binary | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env,
|  | int * | plain_binary_len |
| ) |  |  |

retrieve the value from plain binary.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL
  | plain_binary_len | length of the plain_binary binary buffer

Returns:
  the plain binary

AXIS2_EXTERN axis2_status_t axutil_base64_binary_set_encoded_binary | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env,
|  | const char * | encoded_binary |
| ) |  |  |

store the value from encoded binary.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL
  | encoded_binary | encoded binary buffer to store

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axutil_base64_binary_set_plain_binary | ( | axutil_base64_binary_t * | base64_binary,
|  | const axutil_env_t * | env,
|  | const unsigned char * | plain_binary,
|  | int | plain_binary_len |
| ) |  |  |

store the value from plain binary.

Parameters:

  | base64_binary | represet the type object
  | env | pointer to environment struct. MUST NOT be NULL
  | plain_binary | binary buffer to store
  | plain_binary_len | length of the plain_binary binary buffer

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE